Subject: bug#36068: 27.0.50; Warning: unescaped character literals `?)' detected, `?\)' expected!

From: Michael Heerdegen <[email-masked]>
Date: Mon, 03 Jun 2019 16:34:26 +0200

[email-masked] writes:

> Ah, I think the problem can be triggered any time you `read' an unescaped
> literal outside of `load'.  E.g., from emacs -Q:
>
>     M-: (read "?)") RET
>
> or even just
>
>     M-: ?) RET
>
> Now any byte-compilation will report unescaped `?)'.  You can
>
>     (setq lread--unescaped-character-literals nil)
>
> to stop it.

I can confirm all of that.

I use `read' quite often through el-search, also through an experimental
el-search-hi-lock mode, so that might explain why I might see the
problem more often than others.

Michael.